Bug 827870 - VM network name should be limited to 15 chars
VM network name should be limited to 15 chars
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
Depends On: 821172
  Show dependency treegraph
Reported: 2012-06-03 07:37 EDT by Yaniv Lavi
Modified: 2016-02-10 14:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 821172
Last Closed: 2013-01-06 02:44:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2012-06-03 07:37:18 EDT
+++ This bug was initially created as a clone of Bug #821172 +++

Description of problem:

The name of a VM network is limited to 20 chars today but should be limited to 15 characters.
The current implementation creates Linux bridge (which is limited to 15 chars) using the name of the network.
I would add validation for the input but not change the DB scheme,mostly because not all networks require bridge.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

--- Additional comment from ykaul@redhat.com on 2012-05-13 01:02:41 EDT ---

I think the limitation should be that the first 15 chars string should be unique, not limited so much in length. (see example in Bugzilla, with its annoying 20 chars limitation for a bug alias).


would be ok with my suggestion, truncated in yours (or disallowed).
Comment 1 Itamar Heim 2012-06-10 12:06:35 EDT
backend limitation is a higher priority than the history db one
Comment 2 Itamar Heim 2013-01-06 02:44:44 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.